Explanation when there are no tasks in a plan is unclear

Bug #1259377 reported by Jono Mingard on 2013-12-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Piper Biswell
1.6
Medium
Unassigned
1.7
Medium
Unassigned
1.8
Medium
Unassigned

Bug Description

When viewing a plan with no tasks (/artefact/plans/plan.php) there is text saying "use the "Add" button to the right to begin to build your plan". However, the button in question has text "New task" and does not use the button tag.
The text should be updated to something like "use the New task button to ..." and the button should be changed from an <a> to a <button>

Affects latest master

I think it would be fine if we just said:

Use the "New task" button to begin building your plan.

Sometimes that button might not sit to the right (potentially when you are on a small device). Thus, referring to the position is not good.

tags: added: academy
Jono Mingard (mingard) on 2013-12-31
Changed in mahara:
importance: Undecided → Medium
Changed in mahara:
status: New → Confirmed
Changed in mahara:
assignee: nobody → Piper Biswell (piperbiswell-student)
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/2905
Committed: http://gitorious.org/mahara/mahara/commit/29b34739727cfcc02af22751c8b08fd0e19efec9
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 29b34739727cfcc02af22751c8b08fd0e19efec9
Author: Piper Biswell <email address hidden>
Date: Tue Jan 14 14:02:25 2014 +1300

Fixing instructions to have the correct name of the "Add task" button

Bug #1259377

Change-Id: Ibf89c33ba1e7d858be0107fc9438b2d35785becc
Signed-off-by: Piper Biswell <email address hidden>

Aaron Wells (u-aaronw) on 2014-01-14
Changed in mahara:
status: In Progress → Fix Committed
milestone: none → 1.9.0
no longer affects: mahara/trunk
Mahara Bot (dev-mahara) wrote :

Patch for "1.7_STABLE" branch: https://reviews.mahara.org/2913

Mahara Bot (dev-mahara) wrote :

Patch for "1.6_STABLE" branch: https://reviews.mahara.org/2914

Reviewed: https://reviews.mahara.org/2912
Committed: http://gitorious.org/mahara/mahara/commit/b454a1c09e890132372869511d3e2f183dc040f5
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.8_STABLE

commit b454a1c09e890132372869511d3e2f183dc040f5
Author: Piper Biswell <email address hidden>
Date: Tue Jan 14 14:02:25 2014 +1300

Fixing instructions to have the correct name of the "Add task" button

Bug #1259377

Change-Id: Ibf89c33ba1e7d858be0107fc9438b2d35785becc
Signed-off-by: Piper Biswell <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2913
Committed: http://gitorious.org/mahara/mahara/commit/a612a35e06e67b946712b9ab278d88a2109f2d22
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.7_STABLE

commit a612a35e06e67b946712b9ab278d88a2109f2d22
Author: Piper Biswell <email address hidden>
Date: Tue Jan 14 14:02:25 2014 +1300

Fixing instructions to have the correct name of the "Add task" button

Bug #1259377

Change-Id: Ibf89c33ba1e7d858be0107fc9438b2d35785becc
Signed-off-by: Piper Biswell <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2914
Committed: http://gitorious.org/mahara/mahara/commit/d6eea1d54578248899bd7dfc1748aaab3d539f7e
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.6_STABLE

commit d6eea1d54578248899bd7dfc1748aaab3d539f7e
Author: Piper Biswell <email address hidden>
Date: Tue Jan 14 14:02:25 2014 +1300

Fixing instructions to have the correct name of the "Add task" button

Bug #1259377

Change-Id: Ibf89c33ba1e7d858be0107fc9438b2d35785becc
Signed-off-by: Piper Biswell <email address hidden>

tags: added: usermanualupdate
Aaron Wells (u-aaronw) on 2014-04-03
no longer affects: mahara/1.9
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers